const carsJSON = `[
  {
    "make": "Chevrolet",
    "year": 2009,
    "model": "Trailblazer",
    "price": 1550
  },
  {
    "make": "Ford",
    "year": 2007,
    "model": "F150",
    "price": 1950
  },
  {
    "year": 2003,
    "make": "Honda",
    "model": "Pilot",
    "price": 2200
  },
  {
    "make": "Nissan",
    "year": 2012,
    "model": "Leaf",
    "price": 1800
  }
]`;

const cars = JSON.parse(carsJSON);

const formatCar = car => {
	const {
		year, make, model, price 
  } = car;
  
  return `${year} ${make} ${model}: $${price}`;
};

const report = cars
	.filter(car => car.price < 2000)
	.map(formatCar)
	.join("\n");

const message = report;

document.getElementById("message-element")
	.textContent = message;